package com.ruoyi.clock.enums;

import com.ruoyi.common.enums.IIntegerEnum;

import java.util.Objects;

/**
 * @author 活动类型
 */
public enum ActivityTypeEnum implements IIntegerEnum<Integer> {

    REVIEW(0, "晒单打卡"),
    SALES(1, "销售打卡"),

    ;

    private Integer code;
    private String msg;

    ActivityTypeEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    @Override
    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public static ActivityTypeEnum getByCode(int code, ActivityTypeEnum[] values) {
        for (ActivityTypeEnum value : values) {
            if (Objects.equals(code, value.getCode())) {
                return value;
            }
        }
        return null;
    }

}
